VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::metamodel::ComponentInfo Class Reference

The `ComponentInfo` class contains metamodel metadata information about a component element. More...

List of all members.

## Public Member Functions
| ComponentInfo ()
| Creates a default new instance.
string | GetName ()
| Dot separated name of the component element.
void | SetName (string name)
| Dot separated name of the component element.
global::System.Collections.Generic.Dictionary < string, vmware.vapi.metadata.metamodel.PackageInfo > | GetPackages ()
| Metamodel metadata information of all the package elements contained in the component element.
void | SetPackages (global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.PackageInfo > packages)
| Metamodel metadata information of all the package elements contained in the component element.
global::System.Collections.Generic.Dictionary < string, vmware.vapi.metadata.metamodel.ElementMap > | GetMetadata ()
| Generic metadata for the component element.
void | SetMetadata (global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.ElementMap > metadata)
| Generic metadata for the component element.
string | GetDocumentation ()
| English language documentation for a component.
void | SetDocumentation (string documentation)
| English language documentation for a component.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `ComponentInfo` class contains metamodel metadata information about a component element.

## Constructor & Destructor Documentation

vmware::vapi::metadata::metamodel::ComponentInfo::ComponentInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::metamodel::ComponentInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::metamodel::ComponentInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::metamodel::ComponentInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::metamodel::ComponentInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::metamodel::ComponentInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::metamodel::ComponentInfo::Equals | ( | object | obj | ) | `[inline]`

string vmware::vapi::metadata::metamodel::ComponentInfo::GetDocumentation | ( |  | ) | `[inline]`

English language documentation for a component.

It can contain HTML markup and documentation tags (similar to Javadoc tags). The first sentence of the package documentation is a complete sentence that identifies the component by name and summarizes the purpose of the component.

override int vmware::vapi::metadata::metamodel::ComponentInfo::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.Dictionary<string, vmware.vapi.metadata.metamodel.ElementMap> vmware::vapi::metadata::metamodel::ComponentInfo::GetMetadata | ( |  | ) | `[inline]`

Generic metadata for the component element.

The key in the map is the name of the metadata element and the value is the data associated with that metadata element.

The MetadataIdentifier contains possible string values for keys in the map.

string vmware::vapi::metadata::metamodel::ComponentInfo::GetName | ( |  | ) | `[inline]`

Dot separated name of the component element.

The segments in the name reflect the organization of the APIs. The format of each segment is lower case with underscores. Each underscore represents a word boundary. If there are acronyms in the word, the capitalization is preserved. This format makes it easy to translate the segment into a different naming convention.

global::System.Collections.Generic.Dictionary<string, vmware.vapi.metadata.metamodel.PackageInfo> vmware::vapi::metadata::metamodel::ComponentInfo::GetPackages | ( |  | ) | `[inline]`

Metamodel metadata information of all the package elements contained in the component element.

The key in the map is the identifier of the package element and the value in the map is the metamodel information of the package element. When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vapi.package` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vapi.package` .

void vmware::vapi::metadata::metamodel::ComponentInfo::SetDocumentation | ( | string | documentation | ) | `[inline]`

English language documentation for a component.

It can contain HTML markup and documentation tags (similar to Javadoc tags). The first sentence of the package documentation is a complete sentence that identifies the component by name and summarizes the purpose of the component.

void vmware::vapi::metadata::metamodel::ComponentInfo::SetMetadata | ( | global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.ElementMap > | metadata | ) | `[inline]`

Generic metadata for the component element.

The key in the map is the name of the metadata element and the value is the data associated with that metadata element.

The MetadataIdentifier contains possible string values for keys in the map.

void vmware::vapi::metadata::metamodel::ComponentInfo::SetName | ( | string | name | ) | `[inline]`

Dot separated name of the component element.

The segments in the name reflect the organization of the APIs. The format of each segment is lower case with underscores. Each underscore represents a word boundary. If there are acronyms in the word, the capitalization is preserved. This format makes it easy to translate the segment into a different naming convention.

void vmware::vapi::metadata::metamodel::ComponentInfo::SetPackages | ( | global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.PackageInfo > | packages | ) | `[inline]`

Metamodel metadata information of all the package elements contained in the component element.

The key in the map is the identifier of the package element and the value in the map is the metamodel information of the package element. When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vapi.package` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vapi.package` .

override string vmware::vapi::metadata::metamodel::ComponentInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- metamodel/ComponentInfo.cs